import { SyncFileSystem } from '@journeyapps/source-utils';
import { SingleTransform } from './SingleTransform';
import { Schema } from '@journeyapps/parser-schema';
export interface SchemaTransformOptions {
    dbs: string[];
    asynchronous: boolean;
    includeUser?: boolean;
    definitionPath: string;
    sourcePath: string;
    applicationXmlPath: string;
}
export declare class SchemaTransform extends SingleTransform {
    private options;
    private schemaCache;
    private fs;
    constructor(fs: SyncFileSystem, options: SchemaTransformOptions);
    loadSchema(): Schema | null;
    getVersion(): string | null;
    generateSingle: () => import("@journeyapps/source-utils").SourceNode | null;
}
